.feature-panel {
    background: var(--white-background);
    position: fixed;
    bottom: 0;
    right: 0;
    width: 100%;
    padding-inline: 1em;
    height: calc(100% - 55px);
    transform: translateY(100vh);
    transition: height .7s ease-in-out;
    z-index: 5;
}
.retail_description {
    grid-column: 1 / 2;
}
.feature-panel .retail_description p {
    margin-bottom: 1rem;
}

.feature-panel:has(.expanded) {
    transform: translateY(0);
    transition: transform .7s ease-in-out;
}
.feature-panel:has(.collapsed) {
    transform: translateY(67vh);
    filter: drop-shadow(1px 1px 2px gray);
    border-radius: 10px 10px 0 0;
    height: unset;
}

.feature-panel-content {
    height: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.feature-panel h3 {
    align-self: center;
    text-align: unset;
}
.feature-panel h4 {
    margin: unset;
    margin-block: .25em 1em;
}
.feature-panel:has(.operator_icon) {
    width: 100%;
}

.feature-panel p {
    background: unset;
    text-align: initial;
    width: 100%;
}
.feature-panel section {
    background: unset;
}
.feature-panel-title>div {
    position: relative;
    overflow-x: clip;
    display: flex
}
.feature-panel-title>div div {
    width: 100%;
    height: 100%;
    position: absolute;
    display: flex;
}
.feature-panel-title>div button {
    background: transparent;
    margin-inline: .75em;
}
.feature-panel-title>div button svg {
    transform: rotate(-90deg);
    width: 3.5em;
    height: 3.5em;
}
.feature-panel-title>div.hidden {
    transform: translateX(100%);
}
.multi-content-wrapper {
    position: relative;
    overflow-x: clip;
    overflow-y: auto;
    min-height: 5rem;
    width: 100%;
}
.multi-content-wrapper .hidden {
    display: none;
    transform: translateX(100%);
}



.feature-panel-content > p:first-of-type section {
    margin-block-start: .5em;
}
.feature-content-wrapper {
    width: 100%;
    height: calc(80vh - 55px);
}
.feature-panel-title + div {
    overflow: auto;
    height: 100%;
}
.collapsed .feature-panel-title + div {
    display: none;
}
.feature-content-core {
    display: grid;
    place-items: center;
    /*overflow-y: hidden;*/
    /*overflow-y: auto;*/
    /*max-height: 20vh;*/
    width: 100%;
    row-gap: 1rem;
}
.feature-content-core div {
    width: 100%;
}
.multi-content-wrapper > .feature-content-core {
    max-height: unset;
}
.feature-panel-title {
    display: grid;
    width: 100%;
    grid-template-columns: auto 50px;
    border-radius: 10px 10px 0 0;
    padding-block-end: .5em;
}

.feature-panel-title button.close {
    width: 3em;
    height: 3em;
    border-radius: var(--border-radius, 10px);
    cursor: pointer;
    color: #000000;
    justify-self: flex-end;
    align-self: flex-start;
    position: relative;
}

.feature-panel-title button.close::before,
.feature-panel-title button.close::after {
    width: 0.2em;
    left: 45%;
}

.departure-tab {
    width: 100%;
    display: grid;
    grid-template-columns: min-content auto;
    gap: .5em;
    text-align: initial;
    padding: .5em;
    border-radius: 5px;
    background: #f9f9f9;
    border-width: 0 2px;
    border-style: solid;
    border-color: var(--main-colour);
    margin-block: .5em 1em;
    cursor: pointer;
}
.departure-tab .operator_icon {
    font-size: small;
    margin-block: .5em;
    grid-row: 2/3;
    grid-column: 1/3;
    width: 75%;
}
.departure-tab svg {
    width: 20px;
    height: 20px;
    grid-column: 2/3;
    grid-row: 2/3;
    align-self: center;
    justify-self: end;
    margin-inline: .5em;
}
.link_wrapper svg {
    width: 15px;
    height: 15px;
}

.arrow_icon,
.name-wrapper svg {
    cursor: pointer;
}

.arrow_icon {
    height: 2em;
    border-radius: 50%;
    padding: unset;
    background: unset;
    transition: 300ms;
    margin-block-start: 1em;
    width: 95%;
    cursor: pointer;
}
.arrow_icon svg {
    transform: scaleX(1.5) rotate(180deg);
}
.expanded .arrow_icon svg {
    transform: scaleX(1.5);
}
.collapsed .arrow_icon svg {
    transform: scaleX(1.5) rotate(180deg);
}
.arrow_icon:has(~) svg {
    transform: scaleX(1.5)!important;
}
.arrow_icon:has(~.arrow-up) svg {
    transform: scaleX(1.5) rotate(180deg)!important;
}
section .dragging {
    display: grid;
    overflow-y: auto;
    max-height: 100%;

}
.feature-panel-content.expanded .multi-content-wrapper{
    max-height: 90vh;
    min-height: 150px;
}

.feature-content-core {
    display: none;
}

.feature-panel-content.expanded:not(.hidden) .feature-content-core {
    display: grid;
    overflow-y: auto;
    /*min-height: 200px;*/
    /*max-height: 90vh;*/
    /*padding-bottom: 30px;*/
}
.feature-panel-content.collapsed .multi-content-wrapper{
    min-height: 0;
}
.feature-content-core section:not(.carpark_info) {
    width: inherit;
    display: grid;
    place-items: flex-start;
    row-gap: 1em;
    margin-block: 1em;
    max-height: 100%;
    overflow-y: auto;
    padding: 5px;
}
.feature-content-core .img_placeholder {
    display: none;
    width: 100%;
}
.feature-content-core article > p,
.feature-content-core > p {
    padding-block-end: 1em;
}
.feature-content-core > div:not(*:first-of-type, *:last-of-type) {
    border-bottom: lightgray 1px solid;
    padding-block-end: 1em;
}
.feature-content-core .row {
    display: grid;
    place-items: flex-start;
}

.fixed {
    overflow: hidden;
}
.touch-action-none {
    touch-action: none;
}
.carpark_info p {
    line-height: 1.5;
}
.carpark_info ul {
    padding-left: 1em;
}
.carpark_info li {
    padding-block: .25em;
}
.carpark_info strong {
    display: inline-block;
    margin-block: 0.5em;
}
.carpark_info em {
    margin-block: 1.25em;
    display: inline-block;
}
.carpark_info a {
    text-decoration: underline;
    font-weight: bold;
    color: var(--main-colour);
}
.carpark_info > div {
    padding-block: .5em;
}
.carpark_info:last-child {
    margin-block-start: .5em;
}
.feature-content-core section.carpark_info section {
    display: block;
}
.busstop_info table {
    width: 100%;
}
.busstop_info .theader {
    font-weight: 500;
    text-transform: capitalize;
    text-align: left;
}
.busstop_info tr {
    width: inherit;
}
.busstop_info td,
.busstop_info th {
    padding-block: .75em;
}
.busstop_info th:not(:first-of-type),
.busstop_info td:not(:first-of-type){
    padding-inline: .5em;
}
.busstop_info .route-box {
    background-color:#C4292D;
    color:#fff;
    padding: 2px;
    display: block;
    text-align: center;
    border-radius: 3px;
    word-wrap: break-word;
}
body:has(#demo) .carpark_info header {
    margin-block: 1em;
    border-bottom: none;
    text-decoration: underline;
    box-shadow: unset;
}
.retail-schedule {
    grid-template-columns: minmax(min-content, 150px) 1fr;
    text-transform: capitalize;
}

.retail-schedule h4 {
    grid-column: 1/3;
}

p br {
    content: '';
    display: block;
    margin-bottom: 1em;
}
.img_holder {
    width: inherit;
    overflow-x: auto;
}
.img_holder img {
    width: 100%;
}

.link_wrapper {
    margin-top: 30px;
    width: 100%;
    display: flex;
    justify-content: center;
}

@media (max-height: 700px) {
    .feature-panel:has(.collapsed) {
        transform: translateY(60vh);
    }
}

@media (min-width: 700px) {
    .feature-panel:has(.collapsed),
    .feature-panel {
        height: calc(100% - 55px);
    }
    .side-menu.active ~ .feature-panel {
        margin-left: 20em;
        width: calc(100% - 20em);
        transition: .5s ease-in-out;
    }
    .feature-content-core > div:has(img) {
        border-bottom: none;
    }
    [data-type='retail_default'] .feature-content-core {
        grid-template-columns: auto 1fr;
        grid-template-rows: auto;
    }
    .retail_description {
        grid-column: 1 / 3;
    }
    .feature-content-core > p {
        grid-column: 1 / 3;
        grid-row: 1 / 2;
    }
    .feature-content-core .img_placeholder,
    .feature-content-core .img_holder {
        display: block;
        grid-column: 1 / 2;
        grid-row: 2 / 7;
        padding-inline-end: 2em;
        max-width: 370px;
    }
    .feature-content-core img {
        max-width: 300px;
    }
    .feature-content-core .row {
        grid-column: 2 / 3;
    }
    .feature-content-core .link_wrapper {
        grid-column: 1 / 3;
    }
    .feature-content-core .img_holder {
        place-self: start;
        border-bottom: unset;
    }

    .feature-panel:has(.collapsed) {
        transform: translateY(80vh);
    }

}

@media (min-width: 1024px) {
    .feature-panel-title {
        padding-block-end: 1em;
        /*padding-left: 10px;*/
    }


    .slide-in > .feature-panel-content {
        padding: .5em;
    }

}